Bug 105899 - httpd crashes by logrotate
httpd crashes by logrotate
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: httpd (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-29 03:41 EDT by Need Real Name
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-02 17:12:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-09-29 03:41:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Logrotate crashes httpd by sending SIGHUP (normaly should do reconfiguration).

Some extracts from the log - self explanatory:
# tail -1 /var/log/httpd/error_log.1
[Sun Sep 28 04:02:15 2003] [notice] SIGHUP received.  Attempting to restart

# tail -1 /var/log/httpd/error_log
[Sun Sep 28 04:02:17 2003] [notice] seg fault or similar nasty error detected in
the parent process

#fgrep 04:02 /var/log/cron
Sep 29 04:02:00 dev CROND[6697]: (root) CMD (run-parts /etc/cron.daily)

 Of course cron.daily has logrotate, and logrotate has http in logrotate.d and
it sends SIGHUP

Version-Release number of selected component (if applicable):
httpd-2.0.40-11.7

How reproducible:
Sometimes

Steps to Reproduce:
1. Just wait several days till logrotate will cras it. :-)
2.
3.
    

Actual Results:  Happens periodically approx. once a month 

Expected Results:  It should just continue working :-)

Additional info:

Apache is running with SSL and php.
Comment 1 Joe Orton 2004-05-02 17:12:16 EDT
Please re-open if this is reproducible against a supported release;
there have been various fixes in RHEL and Fedora Core httpd packages
for issues which could have caused crashes in the parent.

Note You need to log in before you can comment on or make changes to this bug.